Up

# NSISO8601DateFormatter class documentation

### Authors

Generated by Debian

# Software documentation for the NSISO8601DateFormatter class

## NSISO8601DateFormatter : NSFormatter

> Declared in:
>   Foundation/NSISO8601DateFormatter.h

> Conforms to:
>   NSCoding

Availability: Not in OpenStep/MacOS-X
Description forthcoming.

Instance Variables
Method summary

- +stringFromDate:timeZone:formatOptions:
- -dateFromString:
- -formatOptions
- -setFormatOptions:
- -setTimeZone:
- -stringFromDate:
- -timeZone

### stringFromDate: timeZone: formatOptions:

+ (NSString*) stringFromDate: (NSDate*)date timeZone: (NSTimeZone*)timeZone formatOptions: (NSISO8601DateFormatOptions)formatOptions;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### dateFromString:

- (NSDate*) dateFromString: (NSString*)string;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### formatOptions

- (NSISO8601DateFormatOptions) formatOptions;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setFormatOptions:

- (void) setFormatOptions: (NSISO8601DateFormatOptions)options;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setTimeZone:

- (void) setTimeZone: (NSTimeZone*)tz;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### stringFromDate:

- (NSString*) stringFromDate: (NSDate*)date;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### timeZone

- (NSTimeZone*) timeZone;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

## Instance Variables for NSISO8601DateFormatter Class

### _formatOptions

@protected NSISO8601DateFormatOptions _formatOptions;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _formatter

@protected NSDateFormatter* _formatter;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _timeZone

@protected NSTimeZone* _timeZone;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up